using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioRamalMaterial
    {

        public IList<entidadeRamalMaterial> Select(entidadeRamalMaterial objRamalMaterial)
        {
            dalRamalMaterial dalRamalMaterial = null;

            var lstRamalMaterial = new List<entidadeRamalMaterial>();
            DataTable dt = null;

            try
            {
                dalRamalMaterial = new dalRamalMaterial();
                dt = dalRamalMaterial.Select(objRamalMaterial);

                foreach (DataRow dr in dt.Rows)
                {
                    objRamalMaterial = new entidadeRamalMaterial();


                    if (!Convert.IsDBNull(dr["ID"]))
                        objRamalMaterial.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objRamalMaterial.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["SIGLA"]))
                        objRamalMaterial.SIGLA = dr["SIGLA"].ToString();

                    if (!Convert.IsDBNull(dr["SITUACAO"]))
                        objRamalMaterial.SITUACAO = dr["SITUACAO"].ToString();

                    if (!Convert.IsDBNull(dr["IDUSUARIOS"]))
                        objRamalMaterial.IDUSUARIOS = Convert.ToInt32(dr["IDUSUARIOS"]);


                    lstRamalMaterial.Add(objRamalMaterial);
                }
                return lstRamalMaterial;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
